import * as AST from '../ast';
import Env from '../env';
import Token from '../token';

export class Literal {
  public value: Token;

  public constructor(value: Token) {
    this.value = value;
  }

  public compile(_env: Env, _opts: AST.Opts) {
    return this.value.value;
  }
}
